Skip to main content
GET
/
v1
/
documents
List documents
curl --request GET \
  --url https://pnbr.io/v1/documents \
  --header 'Authorization: Bearer <token>'
{
  "sources": [
    {
      "id": "9784c0d0-13dc-4704-91a5-e32afc953e06",
      "type": "file",
      "title": "Untitled document.pdf",
      "mimeType": "application/pdf",
      "sizeBytes": 178975,
      "status": {
        "stage": "extracted",
        "processing": false,
        "pendingReview": false,
        "outdated": false
      },
      "ragReady": true,
      "extractionCount": 1,
      "entityCount": 91,
      "addedByName": "Shep Bryan",
      "addedAt": "2026-01-10T04:52:54.471Z",
      "collections": [
        {
          "id": "959e5b82-5af4-4bdb-b561-01693a8137d7",
          "name": "Collection-Test"
        }
      ],
      "governanceStatus": "active"
    }
  ]
}

Authorizations

Authorization
string
header
required

A pnbr- API key. Project-scoped keys make project_id implicit; org-scoped keys require it.

Query Parameters

project_id
string

Response

200 - application/json

Documents in the project.